

export interface AuthRepository {
  findByEmail(email: string): Promise<{ id: number; email: string; password: string; name: string } | null>;
  create(data: { name: string; email: string; password: string }): Promise<{ id: number; email: string; name: string }>;
  findById(id: number): Promise<{ id: number; email: string; name: string; role: string } | null>;
}